//funcion para insertar los datos
function validar(){
    event.preventDefault(); 
    var frm = document.getElementById('form');
    var data = new FormData(frm);
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4) {
            var response = JSON.parse(this.responseText);
            // Accede a las variables deseadas en el objeto de respuesta
            var PromeStock = response.PromeStock;
            var full = response.full; 
            var success = response.success;
            var fail = response.fail; 
            if (success == 'success') {
                $.confirm({
                  title: 'Guardado',
                  content: 'Con Exito!',
                  theme: 'modern',
                  buttons: {
                      OK: function () {
                         $('#form').trigger('reset');    
                      },
                  }

              });                
            } else {
                if (full == 'full') {                     
                  $.alert({
                        title: 'Usted Cuenta con '+PromeStock+' de Combustible',
                        content: 'Para esta Proyeccion',
                        theme: 'modern'
                    });
                }
                else{
                    if (fail ='fail') {
                        $.alert({
                            title: 'Error al Guardar!',
                            content: 'Verificar',
                            theme: 'modern'
                        });
                    }                      
                }  
            }

        }
    };
    xhttp.open("POST", "data/insert_abastecimiento.php", true);
    xhttp.send(data);
 };


//completar campos con la id de proyeccion
$('#proyectado').on('change', function() {
  valor=$('#proyectado').val();
  $.ajax({     
  url : 'data/cargar_valores.php',     
  data : { valor : valor },
  type : 'POST',
  dataType : 'json',
  success : function(r) {
    $("#granja").val(r.GNombre);
    $("#t_granja").val(r.TipoGranja);
    $("#idgranja").val(r.IdGranja);
    $("#tipocombustible").val(r.IdTipoCombustible);
    $("#button").prop('disabled',false);
  },
    error : function(xhr, status) {
    $.alert({
        title: 'Seleccione',
       content: '¡ID Proyectado!',
        theme: 'modern'
    });
    $("#granja").val('');
    $("#t_granja").val('');
    $("#idgranja").val('');
    $("#tipocombustible").val('');
    $("#button").prop('disabled',true);
  }
   });
})  

